
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #11

[gtkui] Queue position and entry number columns are unnecessarily wide

December 20, 2011 19:12 - Artem S. Tashkinov

Status: Closed Start date: December 20, 2011

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/gtkui Estimated time: 0.00 hour

Target version: 3.2.3   

Affects version: 3.2.2   

Description

Please, see the attached screenshot.

125 px combined, which is wrong I suppose.

Gtk 2.22 here.

History

#1 - December 20, 2011 20:37 - John Lindgren

It's because GTK's method of calculating the best-fit column width is too slow for large playlists.  Hence we have to use a fixed width.

#2 - December 21, 2011 18:08 - John Lindgren

- Subject changed from [regression] Queue position and entry number columns are unnecessarily wide in Audacious 3.2-alpha1 to [gtkui] Queue

position and entry number columns are unnecessarily wide

#3 - December 28, 2011 22:05 - Thomas Lange

I've found this example which could help:

http://www.gtkforums.com/viewtopic.php?p=10694&sid=5dbb54b0beeaccd1866c666af2979b13#p10694

A button like in this example with an appearing border if the cursor is above it would be also nice.

#4 - December 29, 2011 00:49 - John Lindgren

Thomas, you seem to be cross-posting about bug #6, which has been fixed already.

#5 - December 29, 2011 17:35 - John Lindgren

- Category set to plugins/gtkui

#6 - April 21, 2012 17:50 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.2.3

- % Done changed from 0 to 100

- Affects version 3.2.2 added

- Affects version deleted ()

Should be a little better now:

https://github.com/audacious-media-player/audacious/commit/b714bd3fdb8e5a3536b6150be72c7fd4f4f55338
http://www.gtkforums.com/viewtopic.php?p=10694&sid=5dbb54b0beeaccd1866c666af2979b13#p10694
http://www.redmine.audacious-media-player.org/issues/6
https://github.com/audacious-media-player/audacious/commit/b714bd3fdb8e5a3536b6150be72c7fd4f4f55338
